Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web
Class ServletContextDispatcher

    java.lang.Object
      org.jboss.portal.web.ServletContextDispatcher

    public class ServletContextDispatcher

extends java.lang.Object

Encapsulate dispatch functionnality into a single class so it is easy to pass it as an argment to a framework that needs a dispatcher to just a servlet context and does not care about the underlying spi or request/response.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`ServletContextDispatcher(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, ServletContainer servletContainer)`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`javax.servlet.http.HttpServletResponse` | `getResponse()`
`java.lang.Object` | `include(javax.servlet.ServletContext targetServletContext, RequestDispatchCallback callback, java.lang.Object handback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextDispatcher

    public ServletContextDispatcher(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    ServletContainer servletContainer)

Method Detail

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

### include

    public java.lang.Object include(javax.servlet.ServletContext targetServletContext,
                                    RequestDispatchCallback callback,
                                    java.lang.Object handback)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.